const express = require("express");
const router = express.Router();
const justificacoesController = require("../controllers/justificacoesController");

// Route for getting all justificacoes
router.get("/justificacoes", justificacoesController.getAllJustificacoes);

// Route for getting a specific user by ID
router.get("/justificacoes/:id", justificacoesController.getJustificacaoById);

// Route for creating a new user
router.post("/justificacoes", justificacoesController.createJustificacao);

// Route for updating a user by ID
router.put("/justificacoes/:id", justificacoesController.updateJustificacao);

// Route for deleting a user by ID
router.delete("/justificacoes/:id", justificacoesController.deleteJustificacao);

module.exports = router;
